from pendulum import Time
from pydantic import BaseModel, ConfigDict, Field
from pydantic_extra_types.pendulum_dt import DateTime


class Club(BaseModel):
    model_config = ConfigDict(arbitrary_types_allowed=True)
    id: str = Field()
    url: str = Field()
    courts_ids: list[int] = Field(default_factory=list)
    booking_open_days_before: int = Field(default=7)
    booking_opening_time: Time = Field(default=Time(hour=0, minute=0))


class BookingFilter(BaseModel):
    sport_id: int = Field()
    date: DateTime = Field()


class User(BaseModel):
    login: str = Field()
    password: str = Field(repr=False)
